Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1690354 - RFE: please add support for wake status tuning into powertop2tuned
Summary: RFE: please add support for wake status tuning into powertop2tuned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tuned
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 10:27 UTC by Jaroslav Škarvada
Modified: 2019-04-02 02:13 UTC (History)
3 users (show)

Fixed In Version: tuned-2.11.0-1.fc30 tuned-2.11.0-1.fc28 tuned-2.11.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:19:23 UTC


Attachments (Terms of Use)
Proposed fix (deleted)
2019-03-19 10:33 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Jaroslav Škarvada 2019-03-19 10:27:43 UTC
Description of problem:
PowerTOP 2.10 is out and has new feature for selectively tuning wakeup status for devices. This is not yet supported by powertop2tuned.

Version-Release number of selected component (if applicable):
tuned-2.11.0-0.1.rc1

How reproducible:
Always

Steps to Reproduce:
1. powertop2tuned test
2. Check generated 'test' profile
3.

Actual results:
No wakeup tuning.

Expected results:
Wakeup tuning

Additional info:

Comment 1 Jaroslav Škarvada 2019-03-19 10:33:43 UTC
Created attachment 1545556 [details]
Proposed fix

Comment 2 Fedora Update System 2019-03-21 23:40:10 UTC
tuned-2.11.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1487030c86

Comment 3 Fedora Update System 2019-03-21 23:40:41 UTC
tuned-2.11.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-953c10959d

Comment 4 Fedora Update System 2019-03-21 23:41:44 UTC
tuned-2.11.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-750744d6a3

Comment 5 Fedora Update System 2019-03-22 19:17:00 UTC
tuned-2.11.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1487030c86

Comment 6 Fedora Update System 2019-03-23 02:41:15 UTC
tuned-2.11.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-953c10959d

Comment 7 Fedora Update System 2019-03-23 03:12:45 UTC
tuned-2.11.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-750744d6a3

Comment 8 Fedora Update System 2019-03-29 19:19:23 UTC
tuned-2.11.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-02 01:36:17 UTC
tuned-2.11.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-02 02:13:52 UTC
tuned-2.11.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.